LLVMdev Digest, Vol 85, Issue 54

Andrew,
are you using 2.9 ?, I had trouble with GEP on arrays in 2.8, until I upgraded
and then the problem went away.

-Peter Lawrence.